#!/bin/sh

THIS_DIR=`dirname $0`

TEMPLATES=$THIS_DIR/templates
RESOURCE_SCRIPT=$THIS_DIR/../imip_resource.py
SHOWMAIL=$THIS_DIR/../tools/showmail.py
STORE=/tmp/store
STATIC=/tmp/static
ARGS="-S $STORE -P $STATIC -d"

rm -r $STORE
rm -r $STATIC

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out0.tmp

   grep -q 'METHOD:REPLY' out0.tmp \
&& ! grep -q '^FREEBUSY' out0.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out1.tmp

   grep -q 'METHOD:REPLY' out1.tmp \
&& ! grep -q '^FREEBUSY' out1.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS -o 'resource-room-confroom@example.com' < $TEMPLATES/event-request-multiple.txt 2> /dev/null \
| $SHOWMAIL \
> out2.tmp

   grep -q 'METHOD:REPLY' out2.tmp \
&& grep -q 'ATTENDEE;PARTSTAT=ACCEPTED' out2.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS -o 'resource-car-porsche911@example.com' < $TEMPLATES/event-request-multiple.txt 2> /dev/null \
| $SHOWMAIL \
> out3.tmp

   grep -q 'METHOD:REPLY' out3.tmp \
&& grep -q 'ATTENDEE;PARTSTAT=ACCEPTED' out3.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS -o 'resource-room-confroom@example.com' < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out4.tmp

   grep -q 'METHOD:REPLY' out4.tmp \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141126T150000Z/20141126T160000Z' out4.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS -o 'resource-car-porsche911@example.com' < $TEMPLATES/fb-request-car.txt 2> /dev/null \
| $SHOWMAIL \
> out5.tmp

   grep -q 'METHOD:REPLY' out5.tmp \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141126T150000Z/20141126T160000Z' out5.tmp \
&& echo "Success" \
|| echo "Failed"

$RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-cancel-multiple-attendee.txt 2> /dev/null
echo "Cancel..."

  $RESOURCE_SCRIPT $ARGS -o 'resource-room-confroom@example.com' < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out6.tmp

   grep -q 'METHOD:REPLY' out6.tmp \
&& ! grep -q '^FREEBUSY' out6.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS -o 'resource-car-porsche911@example.com' < $TEMPLATES/fb-request-car.txt 2> /dev/null \
| $SHOWMAIL \
> out7.tmp

   grep -q 'METHOD:REPLY' out7.tmp \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141126T150000Z/20141126T160000Z' out7.tmp \
&& echo "Success" \
|| echo "Failed"
